package com.jeeplus.modules.sg.managementcenter.reserveManagement.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

import java.util.List;

/**
 * 储备项目物料基础数据
 * */
public class Standard extends DataEntity<Standard> {
    /**
     * 项目类别
     * */
    private String projectCategory;
    /**
     * 物料编码
     * */
    private String materialCode;
    /**
     * 物料描述
     * */
    private String materialDescription;

    /**
     * 字类数据
     */
    private List<Standard> childList;

    @ExcelField(title = "物料类型", align = 2, sort = 1)
    public String getProjectCategory() {
        return projectCategory;
    }

    public void setProjectCategory(String projectCategory) {
        this.projectCategory = projectCategory;
    }

    @ExcelField(title = "物料编码", align = 2, sort = 2)
    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    @ExcelField(title = "物料描述", align = 2, sort = 3)
    public String getMaterialDescription() {
        return materialDescription;
    }

    public void setMaterialDescription(String materialDescription) {
        this.materialDescription = materialDescription;
    }

    public List<Standard> getChildList() {
        return childList;
    }

    public void setChildList(List<Standard> childList) {
        this.childList = childList;
    }
}
